JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
MidiRPNMessage Struct Reference
juce_audio_basics » midi

Represents a MIDI RPN (registered parameter number) or NRPN (non-registered parameter number) message. More...

`#include <juce_MidiRPN.h>`

## Public Attributes
int | channel
| Midi channel of the message, in the range 1 to 16.
int | parameterNumber
| The 14-bit parameter index, in the range 0 to 16383 (0x3fff).
int | value
| The parameter value, in the range 0 to 16383 (0x3fff).
bool | isNRPN
| True if this message is an NRPN; false if it is an RPN.
bool | is14BitValue
| True if the value uses 14-bit resolution (LSB + MSB); false if the value is 7-bit (MSB only).

## Detailed Description

Represents a MIDI RPN (registered parameter number) or NRPN (non-registered parameter number) message.

## Member Data Documentation

## ◆ channel

int MidiRPNMessage::channel

Midi channel of the message, in the range 1 to 16.

## ◆ parameterNumber

int MidiRPNMessage::parameterNumber

The 14-bit parameter index, in the range 0 to 16383 (0x3fff).

## ◆ value

int MidiRPNMessage::value

The parameter value, in the range 0 to 16383 (0x3fff).

If the message contains no value LSB, the value will be in the range 0 to 127 (0x7f).

## ◆ isNRPN

bool MidiRPNMessage::isNRPN

True if this message is an NRPN; false if it is an RPN.

## ◆ is14BitValue

bool MidiRPNMessage::is14BitValue

True if the value uses 14-bit resolution (LSB + MSB); false if the value is 7-bit (MSB only).

The documentation for this struct was generated from the following file:

- juce_MidiRPN.h